Page MenuHomePhabricator

Create a wiki page about the Architecture Committee
Closed, ResolvedPublic

Description

The Architecture Committee is a formal group with actual weight in the community, yet it has no wiki page documenting its responsibilities and members. We must fix this.

https://www.mediawiki.org/wiki/Architecture_committee

Event Timeline

Qgil created this task.Sep 25 2014, 11:54 AM
Qgil raised the priority of this task from to Low.
Qgil updated the task description. (Show Details)
Qgil added a project: Architecture.
Qgil changed Security from none to None.
Qgil added a subscriber: Qgil.
Qgil moved this task from Inbox to Doing on the Architecture board.Oct 1 2014, 7:09 AM
Qgil raised the priority of this task from Low to Normal.Oct 8 2014, 8:06 PM
Qgil updated the task description. (Show Details)

This is marked as "Doing" on the workboard, but not assigned to anyone.

Qgil added subscribers: brion, tstarling.

I started Doing this page to fill a clear void, but I consider my part done. The page has received some edits from some people, including @brion and @tstarling.

Qgil added a comment.Mar 4 2015, 10:46 AM

Er... I wanted to move this task back to Backlog, but

Members of the project "Architecture" can take this action.

Similarly to wiki pages, if you protect them then you need to keep them up to date. :)

@Spage, do you have bandwidth to take this on?

RobLa-WMF moved this task from Doing to Inbox on the Architecture board.Mar 5 2015, 1:44 AM

@Spage, do you have bandwidth to take this on?

Sure. The committee is figuring out process T87470, I'll see what information doesn't fit in the RfC process doc and promote it to here.

Spage edited projects, added TechCom; removed Architecture.May 6 2015, 7:58 PM
Spage closed this task as Resolved.May 15 2015, 1:43 AM

Good enough. The page lists members, mentions the boards, links to RFC process, and mentions the big whale T96903: Identify and prioritize architectural challenges.

Someone still has to clean up meeting etherpads and turn them into wiki pages for the #Meetings section.